## ros-humble-flexbe-testing 2.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(flexbe_testing)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

install(PROGRAMS
    bin/testing_node
    DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY
    launch
    DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY
    tests
    DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)
  set(_pytest_tests
    tests/flexbe_colcon_test.py
    # Add other test files here
  )
  foreach(_test_path ${_pytest_tests})
    get_filename_component(_test_name ${_test_path} NAME_WE)
    ament_add_pytest_test(${_test_name} ${_test_path}
      APPEND_ENV PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
      TIMEOUT 60
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
  endforeach()
endif()

# Install Python modules
ament_python_install_package(${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-humble-flexbe-testing (2.3.3-1jammy) jammy; urgency=high

  * update for change in yaml loading for Iron messages
  * subscriber state test still not functional

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 09 Aug 2023 04:00:00 -0000

ros-humble-flexbe-testing (2.3.2-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 01 Aug 2023 04:00:00 -0000

ros-humble-flexbe-testing (2.3.1-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-humble-flexbe-testing (2.3.0-1jammy) jammy; urgency=high

  * update CMakeLists cmake_minimum_version
  * Updates to dependencies for ROS build farm
  * remove rclpy from CMakeLists.txt
  * remove unnecessary rclcpp depends

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 20 Jul 2023 04:00:00 -0000

ros-humble-flexbe-testing (2.2.0-1jammy) jammy; urgency=high

  * update to support pytest unittest cases via colcon test; pylint, flake8, and pep257 cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 29 Jun 2023 04:00:00 -0000

ros-humble-flexbe-testing (2.1.0-1jammy) jammy; urgency=high

  * ROS 2 Humble release
  * Update script_dir in setup.cfg
  * Use instance id for proxy subscribers
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 02 Aug 2022 04:00:00 -0000

ros-humble-flexbe-testing (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 22 Feb 2022 05:00:00 -0000

ros-humble-flexbe-testing (1.3.1-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 11 Dec 2020 05:00:00 -0000

ros-humble-flexbe-testing (1.3.0-1jammy) jammy; urgency=high

  * Merge pull request #132 <https://github.com/team-vigir/flexbe_behavior_engine/issues/132> from LoyVanBeek/feature/test_require_launch_file_success
    Optionally fail test if launch-file fails
  * Clear up logging for exiting processes
  * Check all launched nodes have exited
    And check they exit code to decide success/fail of launch file
  * Optionally fail test if launch-file fails
    If the launch-file in a FlexBE test fails, signal this to the TestContext that can then optionally fail due to this
    This allows to run scripts etc to verify State/Behavior side effects
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_testing] Add a behavior to the self-test
  * [flexbe_testing] Fix check of userdata output
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Loy van Beek, Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 19 Nov 2020 05:00:00 -0000

ros-humble-flexbe-testing (1.2.5-1jammy) jammy; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 14 Jun 2020 04:00:00 -0000

ros-humble-flexbe-testing (1.2.4-1jammy) jammy; urgency=high

  * Merge pull request #109 <https://github.com/team-vigir/flexbe_behavior_engine/issues/109> from Achllle/feature/testing/timeout_parameter
    Expose time-limit parameter from rostest
  * Merge pull request #108 <https://github.com/team-vigir/flexbe_behavior_engine/issues/108> from Achllle/fix/test_bagfile_topic
    Retry reading bag file messages without backslash in unit tests
  * Expose time-limit parameter from rostest
  * Ignore topic backslash when no messages are found that way
  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * Remove explicit list construction where not required
  * python3 compatibility via 2to3
  * Contributors: Achille, Philipp Schillinger, fmessmer

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 25 Mar 2020 04:00:00 -0000

ros-humble-flexbe-testing (1.2.3-1jammy) jammy; urgency=high

  * Merge pull request #97 <https://github.com/team-vigir/flexbe_behavior_engine/issues/97> from team-vigir/feature/test_behaviors
    flexbe_testing support for behaviors
  * [flexbe_testing] Remove deprecated state tester
  * [flexbe_testing] Allow specification of behavior name in test config
  * [flexbe_testing] Add support for behavior tests
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Merge pull request #94 <https://github.com/team-vigir/flexbe_behavior_engine/issues/94> from LoyVanBeek/feature/check_missing_testfile
    Fail test if provided test-yaml-file does not exist
  * Generate test results also when test file is missing
  * Move test configuration files to StateTester so failing to configure can also be included in the test results
  * Fail test if provided test-file does not exist
    There is no way to know which arguments are intended to be filenames, so best we can do is guess?
  * [flexbe_testing] Refactor testing framework as basis for new feature
  * Contributors: Loy van Beek, Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 10 Jan 2020 05:00:00 -0000

ros-humble-flexbe-testing (1.2.2-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 16 Sep 2019 04:00:00 -0000

ros-humble-flexbe-testing (1.2.1-1jammy) jammy; urgency=high

  * [flexbe_testing] Respect state rate in tests (fix FlexBE/flexbe_app#36 <https://github.com/FlexBE/flexbe_app/issues/36>)
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flexbe-testing//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-flexbe-testing 2.3.5

=== debian/changelog ===
ros-humble-flexbe-testing (2.3.5-1bookworm) bookworm; urgency=high

  * update change log

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 30 May 2024 16:00:00 -0000

ros-humble-flexbe-testing (2.3.4-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-humble-flexbe-testing (2.3.3-1bookworm) bookworm; urgency=high

  * subscriber state test still not functional

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 08 Aug 2023 16:00:00 -0000

ros-humble-flexbe-testing (2.3.2-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-humble-flexbe-testing (2.3.1-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-flexbe-testing (2.3.0-1bookworm) bookworm; urgency=high

  * update CMakeLists cmake_minimum_version
  * Updates to dependencies for ROS build farm
  * remove rclpy from CMakeLists.txt
  * remove unnecessary rclcpp depends

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 19 Jul 2023 16:00:00 -0000

ros-humble-flexbe-testing (2.2.0-1bookworm) bookworm; urgency=high

  * update to support pytest unittest cases via colcon test; pylint, flake8, and pep257 cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-humble-flexbe-testing (2.1.0-1bookworm) bookworm; urgency=high

  * ROS 2 Humble release
  * Update script_dir in setup.cfg
  * Use instance id for proxy subscribers
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 01 Aug 2022 16:00:00 -0000

ros-humble-flexbe-testing (2.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 21 Feb 2022 16:00:00 -0000

ros-humble-flexbe-testing (1.3.1-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 10 Dec 2020 16:00:00 -0000

ros-humble-flexbe-testing (1.3.0-1bookworm) bookworm; urgency=high

  * Merge pull request #132 <https://github.com/team-vigir/flexbe_behavior_engine/issues/132> from LoyVanBeek/feature/test_require_launch_file_success
    Optionally fail test if launch-file fails
  * Clear up logging for exiting processes
  * Check all launched nodes have exited
    And check they exit code to decide success/fail of launch file
  * Optionally fail test if launch-file fails
    If the launch-file in a FlexBE test fails, signal this to the TestContext that can then optionally fail due to this
    This allows to run scripts etc to verify State/Behavior side effects
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_testing] Add a behavior to the self-test
  * [flexbe_testing] Fix check of userdata output
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Loy van Beek, Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 18 Nov 2020 16:00:00 -0000

ros-humble-flexbe-testing (1.2.5-1bookworm) bookworm; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 13 Jun 2020 16:00:00 -0000

ros-humble-flexbe-testing (1.2.4-1bookworm) bookworm; urgency=high

  * Merge pull request #109 <https://github.com/team-vigir/flexbe_behavior_engine/issues/109> from Achllle/feature/testing/timeout_parameter
    Expose time-limit parameter from rostest
  * Merge pull request #108 <https://github.com/team-vigir/flexbe_behavior_engine/issues/108> from Achllle/fix/test_bagfile_topic
    Retry reading bag file messages without backslash in unit tests
  * Expose time-limit parameter from rostest
  * Ignore topic backslash when no messages are found that way
  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * Remove explicit list construction where not required
  * python3 compatibility via 2to3
  * Contributors: Achille, Philipp Schillinger, fmessmer

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 24 Mar 2020 16:00:00 -0000

ros-humble-flexbe-testing (1.2.3-1bookworm) bookworm; urgency=high

  * Merge pull request #97 <https://github.com/team-vigir/flexbe_behavior_engine/issues/97> from team-vigir/feature/test_behaviors
    flexbe_testing support for behaviors
  * [flexbe_testing] Remove deprecated state tester
  * [flexbe_testing] Allow specification of behavior name in test config
  * [flexbe_testing] Add support for behavior tests
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Merge pull request #94 <https://github.com/team-vigir/flexbe_behavior_engine/issues/94> from LoyVanBeek/feature/check_missing_testfile
    Fail test if provided test-yaml-file does not exist
  * Generate test results also when test file is missing
  * Move test configuration files to StateTester so failing to configure can also be included in the test results
  * Fail test if provided test-file does not exist
    There is no way to know which arguments are intended to be filenames, so best we can do is guess?
  * [flexbe_testing] Refactor testing framework as basis for new feature
  * Contributors: Loy van Beek, Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 09 Jan 2020 16:00:00 -0000

ros-humble-flexbe-testing (1.2.2-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 15 Sep 2019 16:00:00 -0000



=== debian/control ===
Source: ros-humble-flexbe-testing
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <philsplus@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-cmake-python, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-flexbe-core, ros-humble-flexbe-msgs, ros-humble-launch-ros, ros-humble-launch-testing <!nocheck>, ros-humble-rclpy, ros-humble-std-msgs <!nocheck>, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/flexbe_core
Standards-Version: 3.9.2

Package: ros-humble-flexbe-testing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-flexbe-core, ros-humble-flexbe-msgs, ros-humble-launch-ros, ros-humble-rclpy, ros-humble-ros-workspace
Description: flexbe_testing provides a framework for unit testing states.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flexbe-testing//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flexbe-testing//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-flexbe-testing//opt/ros/humble/opt/flexbe_testing/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
